ur_rna.StructureEditor.models

## Interface IScreenObject

- All Known Implementing Classes:
    RnaDrawController.ScreenNuc, ScreenShape

      public interface IScreenObject

  Represents a model-space object that can be

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ZORDER_MAX`
    `static int` | `ZORDER_MIN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Rectangle` | `getBounds()`
    `java.lang.Object` | `getModel()`
    `int` | `getZOrder()`
    `boolean` | `hitTest(java.awt.geom.Point2D point)` Determine if the object contains the given point (in screen coordinates)
    `boolean` | `hitTest(java.awt.Rectangle rc)` Determine if the object intersects the given rectangle (in screen coordinates)
    `void` | `updateView(View2D view)` Called before any other methods to notify the screen object of the current screen coordinates.

- - ### Field Detail

    - #### ZORDER_MAX

          static final int ZORDER_MAX

      See Also:
        Constant Field Values

    - #### ZORDER_MIN

          static final int ZORDER_MIN

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getBounds

          java.awt.Rectangle getBounds()

      Returns:
        Returns the bounds of this screen object (in screen coordinates)

    - #### getModel

          java.lang.Object getModel()

      Returns:
        Returns the model-space object that is represented by this screen object.

    - #### getZOrder

          int getZOrder()

      Returns:
        Returns the z-order of the screen object. Objects with higher z-orders are given preference in hit-testing.

    - #### hitTest

          boolean hitTest(java.awt.geom.Point2D point)

      Determine if the object contains the given point (in screen coordinates)

    - #### hitTest

          boolean hitTest(java.awt.Rectangle rc)

      Determine if the object intersects the given rectangle (in screen coordinates)
      Parameters:
        `rc` -

    - #### updateView

          void updateView(View2D view)

      Called before any other methods to notify the screen object of the current screen coordinates.